Loading...
Searching...
No Matches
nonlinearExceptions.h File Reference

Exceptions that may be thrown by nonlinear optimization components. More...

Go to the source code of this file.

## Classes

class | gtsam::MarginalizeNonleafException
| Thrown when requesting to marginalize out variables from ISAM2 that are not leaves. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

Exceptions that may be thrown by nonlinear optimization components.

Author
  Richard Roberts

Date
  Aug 17, 2012